#!/bin/bash

cd upload
#get all files in the folder
files=`ls -x docker/$FILEFOLDER`
mkdir decompressed/$FILEFOLDER


for line in $files
    do
    echo $FILEFOLDER/$line
    #uncompress the file
    python3 /uncompress.py $FILEFOLDER $line
    echo "done unzipping"
done

#if there still is a file in the unzip folder
if [[ `ls -A docker/$FILEFOLDER` ]]
    then
    ls -A docker/$FILEFOLDER
    echo "Error, something is unzippable"
    ls -A docker/$FILEFOLDER
    mkdir unzippable/$FILEFOLDER
    #move the file to unzippable
    mv docker/$FILEFOLDER/* unzippable/$FILEFOLDER/
fi

cd decompressed/$FILEFOLDER
#move all files in folders to the root folder
find . -mindepth 2 -type f -exec mv {} . \;
#delete the empty folders
find . -type d -empty -delete

cd /upload
#pwd
mv decompressed/$FILEFOLDER/* docker/$FILEFOLDER/
rm -r decompressed/$FILEFOLDER