const mongoose = require('mongoose')
const uniqueValidator = require("mongoose-unique-validator")

const downloadSchema = new mongoose.Schema({
  downloadTime: {
    type: Date,
    default: Date.now,
    immutable: true
  },
  downloader: {
    type: String
  },
  password: {
    type: String
  },
  files: {
    type: [String]
  }
}) 

downloadSchema.plugin(uniqueValidator)

module.exports = mongoose.model('download', downloadSchema)