import { Component } from '@angular/core'
import { NgForm } from '@angular/forms';
import { Router } from '@angular/router';
import { Subscription } from 'rxjs';
import { AuthService } from '../auth.service';
import { HttpClient, HttpHeaders, HttpClientModule } from '@angular/common/http';


@Component({
    selector : 'app-login',
    templateUrl : './login.component.html',
    styleUrls : ['./login.component.scss']
})

export class LoginComponent {
    userIsAuthenticated = false //False by default, user should not be authenticated before logging in = false //False by default, user should not be authenticated before logging in
    isLoading = false;
    error: string = null
    private authListnerSubs: Subscription

    constructor(public authService: AuthService, private router: Router, private http: HttpClient) {}

    ngOnInit(){
        
    }
}