#!/bin/bash

cd upload
# get all files in the folder
files=`ls -x docker/$FILEFOLDER`
mkdir -p analysis_info/$FILEFOLDER/peframe

analyze_peframe () {
    sha256=`sha256sum docker/$FILEFOLDER/$line | cut -d " " -f 1 `  
    echo "analyzing: "$sha256
    peframe --json docker/$FILEFOLDER/$line > ./analysis_info/$FILEFOLDER/peframe/$sha256
    echo "done analyzing: "$sha256
}


for line in $files
    do
    analyze_peframe
done

echo "done analysing"