const si = require('systeminformation')

class sysinfo {
  constructor() {
    this.getLoad() // the first load is always wrong. throwing it away
    si.dockerInfo(((data) => {
      //console.log(data)
    }))
  }

  healthcheck() {
    si.processLoad('init').then((data) => {
      console.log(data)
      //if (!data.pid)
    })

    let load = this.getLoad()
    //WINSTON LOG
  }

  //gets the current load
  getLoad() {
    return new Promise(async (resolve, reject) => {
      let cpuLoad = 1
      let memoryLoad = 1

      si.currentLoad().then((data) => {
        cpuLoad = data.currentLoad / 100
        si.mem().then((data) => {
          memoryLoad = data.used / data.total
          resolve({
            cpuLoad: cpuLoad.toFixed(2),
            memoryLoad: memoryLoad.toFixed(2),
          })
        })
      })
    })
  }

  //TODO, will check if docker is running on the host
  isDockerRunning() {
    
  }
}

module.exports = new sysinfo()
