const mongoose = require('mongoose')
mongoose.set('useNewUrlParser', true);
mongoose.set('useFindAndModify', false);
mongoose.set('useCreateIndex', true);
mongoose.set('useUnifiedTopology', true);


//Use the global promise with mongoose
mongoose.Promise = global.Promise

//const mongo = new mongoose.Mongoose()

//connect to db before tests are run
before((done) => {
    // Connect to the database
    mongoose.connect(
        "mongodb://128.39.140.120:27017/test1",
        {
          "auth": {
            "authSource": "admin"
          },
          "user": "ubuntu",
          "pass": "blueLima1"
        }
      );

    mongoose.connection.once('open', () => {
        console.log('Connection successfull')
        done()
    }).on('error', (error) => {
        console.log('Connection error:', error)
    })
})

//drop the file collection before each test
beforeEach((done) => {
        //drop the collection
        mongoose.connection.collections.files.drop(() => {
            done()
        })
})

module.exports.mongoose = mongoose